<!-- most of the codes are referenced from :
https://github.com/divanov11/crash-course-CRM/tree/Part--14-User-Registration-%26-Login-Authentication/crm1_v14_registration_login -->

{% load static %}
<!DOCTYPE html>
<html>
    
<head>
	<title>Login</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="{% static 'home/style9.css' %}">
	<link rel="shortcut icon" type="image/gif/png" href="{% static 'home/img/2.png' %}">
</head>
<body class="bg-color2">
    {% include 'home/navbar2.html' %}
	<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card">
				<div class="d-flex justify-content-center">
					<h3 id="form-title">Register Account</h3>
				</div>
				<div class="d-flex justify-content-center form_container">

					<form method="POST" action="">
						{% csrf_token %}
						<div class="input-group mb-3">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							{{form.username}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
							</div>
							{{form.email}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password1}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password2}}
						</div>



				   		<div class="d-flex justify-content-center mt-3 login_container">
				 			<input class="btn btn-outline-light" style='width: 100%' type="submit" value="Register Account">
				   		</div>

					</form>
				</div>

				{{form.errors}}
				
				<div class="mt-4">
					<div class="d-flex justify-content-center links white">
						Already have an account? <a href="{% url 'login' %}" class="ml-2 white one">Login</a>
					</div>
					<div class="d-flex justify-content-center links white">
						Go to <a href="/home" class="ml-2 white one">home</a>
                    </div>
				</div>
			</div>
		</div>
	</div>
	<script src="{% static 'home/script9.js' %}"></script>
</body>
</html>